#!/bin/sh
# (c) 2004 Mandrakesoft SA
# (c) 2006,2007 Mandriva SA

# this script runs a firefox instance with a specific profile
# and points it at register page

TMPDIR=$HOME/tmp
TMP=$HOME/tmp

if [ -r /etc/sysconfig/i18n ]; then
    . /etc/sysconfig/i18n
    export LANGUAGE LC_ADDRESS LC_COLLATE LC_NAME LC_NUMERIC LC_MEASUREMENT LC_TIME \
	LANG LC_IDENTIFICATION LC_MESSAGES LC_CTYPE LC_TELEPHONE LC_MONETARY LC_PAPER LC_ALL
fi
if [ -r /etc/profile.d/proxy.sh ]; then
    . /etc/profile.d/proxy.sh
fi
xsetroot -cursor_name left_ptr

if [ "$BROWSER" == "/usr/bin/mozilla-firefox" ]; then
    ffprofiledir=$HOME/.mozilla
    rm -fr $ffprofiledir
    mkdir -p $ffprofiledir
    if [ -f $ffprofiledir/firefox/profiles.ini ]; then
        cp -f $ffprofiledir/firefox/profiles.ini $ffprofiledir/ffprofiles.bak
    fi
    cp -a /usr/share/drakfirsttime/firefox/ $ffprofiledir/firefox/
fi

URL=http://www.mandriva.com/firsttime?ftw_version=2.25.4
if perl -I/usr/lib/libDrakX -Mnetwork::test -e 'my $net_test = network::test->new; $net_test->test_synchronous; exit $net_test->is_connected'; then
    URL=$HOME/tmp/disconnected.html
fi
	
ftw-generate-disconnect-page.pl
#$BROWSER -P drakfirsttime $URL
$BROWSER $URL

if [ "$BROWSER" == "/usr/bin/mozilla-firefox" ]; then
    if [ -f $ffprofiledir/ffprofiles.bak ]; then
        cp -f $ffprofiledir/ffprofiles.bak $ffprofiledir/firefox/profiles.ini
        rm -f $ffprofiledir/ffprofiles.bak
    else
        rm -rf $ffprofiledir/firefox/drakfirsttime $ffprofiledir/firefox/profiles.ini
    fi
fi